<div align="center"><img src="https://github.com/ChifiSource/Lathe.jl/blob/Unstable/assets/lathelogo.png" />
  <h1>0.1.8 "ButterBall"</h1>
</div>
<div align="left">
  <p> Lathe.jl is an all-in-one package for predictive modeling in Julia. It comes packaged with a Stats Library, Preprocessing Tools, Distributions, Machine-Learning Models, and Model Validation. Lathe features easy object-oriented programming methodologies using Julia's dispatch.</p>
  <h4>https://lathe.ai/</h4>
        </div>
        
[![version](https://juliahub.com/docs/Lathe/version.svg)](https://juliahub.com/ui/Packages/Lathe/6rMNJ)
[![deps](https://juliahub.com/docs/Lathe/deps.svg)](https://juliahub.com/ui/Packages/Lathe/6rMNJ?t=2)
[![pkgeval](https://juliahub.com/docs/Lathe/pkgeval.svg)](https://juliahub.com/ui/Packages/Lathe/6rMNJ)
## Add Lathe
**(press ] in the Julia REPL to go to Pkg REPL)**
 #### Latest (Get the latest stable developments):
 ```julia
 (v1.3) pkg> add Lathe
 ```
 #### Unstable (Get the latest undocumented and unstable developments):
 ```julia
 (v1.3) pkg> add Lathe#Unstable
 ```


<details class="details-overlay">
  <summary class="btn"><h2>What's great about Lathe?</h2></summary>
<div>

#### Easily ML
Lathe brings an entirely different methodology to the Julia language. Types are created to adhere to the object-oriented programming paradigm, and syntax is akin to that of Pythonic machine-learning packages, like SkLearn.
#### Fully Featured
Lathe includes many of the tools commonly used by machine-learning engineers and scientists out of the box, rather than relying on more dependencies to do so.
#### Deployable
Lathe models can be easily serialized and deployed onto production servers using **Genie.jl**, or a similar high-performance web-server. Lathe also has support for pipelines, meaning most pre-processing operations can be automated and performed with one easy call.
#### Fast
Lathe uses a faster methodology than most other Julia packages for machine-learning. Furthermore, the package also takes advantage of the natural ability of the language to be fast. As a result, Lathe is also faster than most similar packages for other high-level statistical programming languages.
#### Julian
Lathe is written in 100-percent pure Julia. As a result, the package often takes advantage of very Julian methods of dealing with problems, such as dispatch, macros, and syntactical expressions.
#### Compatible
Lathe.jl has DataFrames.jl support, making it incredibly easy to put your data to work!
#### Improving
Lathe.jl is a relatively immature package, but is still making considerable leaps in the Julia ecosystem! Lathe is constantly improving, and that is a great thing if you happen to be utilizing the package!
</div>
</details>

<details class="details-overlay">
  <summary class="btn"><h2>What's Inside?</h2></summary>
<div>

### Stats
- Distributions
- Statistical tests
- Bayesian tests
- Model validation
- Sampling
- General Statistics

### Preprocess
- Scalers
- Encoders
- Splitters
### Models
- Pipelines
- Powerlog
- Random Forest Classifier
- Decision Tree Classifier
- Pipelines
- Linear Regression
- Linear Least square

</div>
</details>




<details class="details-overlay">
  <summary class="btn"><h2>Documentation</h2></summary>
<div align = "center">
  <img src = https://pbs.twimg.com/profile_images/1301103380119650306/9WvLrYXe.jpg width = 100 height = 100></img>
  
  
 # [Documentation on JuliaHub](https://juliahub.com/docs/Lathe/6rMNJ/)
 
 <img src = https://github.com/emmettgb/Lathe-Books/blob/main/lathebooks.png width = 100 height = 100></img>
 # [Example Notebooks (Lathe Books!)](https://github.com/emmettgb/Lathe-Books)
</div>
</details>

